Package org.springframework.web.servlet.config

# Class CorsBeanDefinitionParser

java.lang.Object
org.springframework.web.servlet.config.CorsBeanDefinitionParser

All Implemented Interfaces:
  `org.springframework.beans.factory.xml.BeanDefinitionParser`

public class CorsBeanDefinitionParser extends Object implements org.springframework.beans.factory.xml.BeanDefinitionParser
`BeanDefinitionParser` that parses a `cors` element in order to set the CORS configuration in the various {AbstractHandlerMapping} beans created by `AnnotationDrivenBeanDefinitionParser`, `ResourcesBeanDefinitionParser` and `ViewControllerBeanDefinitionParser`.

Since:
  4.2
Author:
  Sebastien Deleuze

## Constructor Summary

Constructors
Constructor
Description
`CorsBeanDefinitionParser()`

## Method Summary

Modifier and Type
Method
Description
`org.springframework.beans.factory.config.BeanDefinition`
`parse(Element element, org.springframework.beans.factory.xml.ParserContext parserContext)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CorsBeanDefinitionParser

public CorsBeanDefinitionParser()

## Method Details

### parse

@Nullable public org.springframework.beans.factory.config.BeanDefinition parse(Element element, org.springframework.beans.factory.xml.ParserContext parserContext)

Specified by:
  `parse` in interface `org.springframework.beans.factory.xml.BeanDefinitionParser`